%define upstream_name    PAR-Packer
%define upstream_version 1.063

# Arch dependent binaries in noarch package:
%define debug_package %{nil}

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Data package containing a dynamic PARL
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/PAR/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Zip) >= 1.20.0
BuildRequires: perl(Compress::Zlib) >= 1.300.0
BuildRequires: perl(Digest::SHA) >= 5.400.0
BuildRequires: perl(DynaLoader)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::Embed)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Glob)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp) >= 0.50.0
BuildRequires: perl(Getopt::ArgvFile) >= 1.70.0
BuildRequires: perl(IO::Compress::Gzip)
BuildRequires: perl(IPC::Run3) >= 0.48.0
BuildRequires: perl(Module::ScanDeps) >= 1.210.0
BuildRequires: perl(PAR) >= 1.20.0
BuildRequires: perl(PAR::Dist) >= 0.220.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::ParseWords)
BuildRequires: perl-ExtUtils-MakeMaker
BuildRequires: perl-devel
BuildRequires: pkgconfig(libnsl)
%description
_pp_ creates standalone executables from Perl programs, using the
compressed packager provided by the PAR manpage, and dependency detection
heuristics offered by the Module::ScanDeps manpage. Source files are
compressed verbatim without compilation.

You may think of _pp_ as "_perlcc_ that works without hassle". :-)

A GUI interface is also available as the _tkpp_ command.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# resolve /usr/bin/pp conflict with nss
perl -pi -e 's{/pp}{/pp.pl}g' Makefile.PL
perl -pi -e 's{script/pp}{script/pp.pl}g' MANIFEST
mv script/pp script/pp.pl

%build
%__perl Makefile.PL INSTALLDIRS=vendor
make

%check
#make test

%install
%make_install
# Permission problems for the scripts
chmod u+w %{buildroot}/%{_bindir}/*

%files
%doc AUTHORS Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Tue Mar 26 2024 tv <tv> 1.63.0-1.mga10
+ Revision: 2052374
- update to 1.063

* Thu Mar 07 2024 tv <tv> 1.62.0-1.mga10
+ Revision: 2048318
- update to 1.062

* Mon Dec 18 2023 tv <tv> 1.61.0-1.mga10
+ Revision: 2018740
- update to 1.061

* Thu Nov 30 2023 tv <tv> 1.59.0-2.mga10
+ Revision: 2011590
- Rebuild for perl-5.38

* Wed Aug 30 2023 tv <tv> 1.59.0-1.mga10
+ Revision: 1981922
- update to 1.059

* Mon Dec 05 2022 tv <tv> 1.57.0-1.mga9
+ Revision: 1918168
- update to 1.057

* Mon Sep 12 2022 tv <tv> 1.56.0-1.mga9
+ Revision: 1887407
- update to 1.056

* Mon Jul 04 2022 tv <tv> 1.55.0-1.mga9
+ Revision: 1867593
- update to 1.055

* Tue Jun 07 2022 umeabot <umeabot> 1.54.0-3.mga9
+ Revision: 1862249
- Rebuild for Perl 5.36

* Sat Mar 19 2022 umeabot <umeabot> 1.54.0-2.mga9
+ Revision: 1800372
- Mageia 9 Mass Rebuild

* Wed Feb 02 2022 tv <tv> 1.54.0-1.mga9
+ Revision: 1771000
- update to 1.054

* Fri Jan 28 2022 tv <tv> 1.53.0-1.mga9
+ Revision: 1770092
- update to 1.053

* Mon May 24 2021 umeabot <umeabot> 1.52.0-2.mga9
+ Revision: 1726995
- Rebuild for perl 5.34

* Thu Feb 25 2021 tv <tv> 1.52.0-1.mga9
+ Revision: 1691477
- update to 1.052

* Tue Dec 15 2020 tv <tv> 1.51.0-2.mga8
+ Revision: 1657495
- BR BuildRequires: pkgconfig(libnsl)

* Mon Nov 30 2020 tv <tv> 1.51.0-1.mga8
+ Revision: 1650627
- update to 1.051

* Wed Jun 17 2020 umeabot <umeabot> 1.50.0-2.mga8
+ Revision: 1595132
- Rebuild for perl 5.32

* Thu Mar 19 2020 tv <tv> 1.50.0-1.mga8
+ Revision: 1557886
- update to 1.050

* Sun Feb 16 2020 umeabot <umeabot> 1.49.0-3.mga8
+ Revision: 1530198
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tv <tv> 1.49.0-2.mga8
+ Revision: 1434451
- BR perl-ExtUtils-MakeMaker
+ tmb <tmb>
- rebuild for perl 5.30

* Sun Jun 30 2019 tv <tv> 1.49.0-1.mga8
+ Revision: 1416434
- update to 1.049

* Fri Sep 21 2018 umeabot <umeabot> 1.47.0-2.mga7
+ Revision: 1293618
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 shlomif <shlomif> 1.47.0-1.mga7
+ Revision: 1253972
- update to 1.047

* Wed Aug 08 2018 pterjan <pterjan> 1.45.0-2.mga7
+ Revision: 1250333
- Rebuild for perl 5.28

* Fri Jun 22 2018 shlomif <shlomif> 1.45.0-1.mga7
+ Revision: 1238936
- update to 1.045

* Mon Apr 09 2018 kekepower <kekepower> 1.43.0-1.mga7
+ Revision: 1216707
- Update to version 1.043

* Sun Dec 10 2017 shlomif <shlomif> 1.41.0-1.mga7
+ Revision: 1182058
- update to 1.041

* Tue Oct 24 2017 shlomif <shlomif> 1.40.0-1.mga7
+ Revision: 1173394
- update to 1.040

* Tue Oct 03 2017 tv <tv> 1.39.0-2.mga7
+ Revision: 1166130
- rebuild with fixed rpm for missing autodeps

* Thu Sep 28 2017 tv <tv> 1.39.0-1.mga7
+ Revision: 1160893
- update to 1.039

* Thu Aug 31 2017 pterjan <pterjan> 1.37.0-2.mga7
+ Revision: 1149900
- Rebuild for perl ABI changes

* Mon Jul 24 2017 sander85 <sander85> 1.37.0-1.mga7
+ Revision: 1130038
- update to 1.037
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sun May 08 2016 shlomif <shlomif> 1.32.0-1.mga6
+ Revision: 1010886
- New version 1.032

* Fri Feb 12 2016 umeabot <umeabot> 1.26.0-3.mga6
+ Revision: 957876
- Mageia 6 Mass Rebuild

* Fri Oct 16 2015 tv <tv> 1.26.0-2.mga6
+ Revision: 892178
- disable debuginfo
- cannot be noarch
- make it noarch thus fixing empty debuginfo

* Mon Jul 20 2015 sander85 <sander85> 1.26.0-1.mga6
+ Revision: 855676
- update to 1.026

* Sun Jun 28 2015 sander85 <sander85> 1.25.0-1.mga6
+ Revision: 846524
- update to 1.025

* Sat Jun 27 2015 tv <tv> 1.20.0-5.mga6
+ Revision: 846151
- rebuild with soname-ified perl

* Sat Oct 18 2014 umeabot <umeabot> 1.20.0-4.mga5
+ Revision: 787919
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.20.0-3.mga5
+ Revision: 747847
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.20.0-2.mga5
+ Revision: 685798
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 sander85 <sander85> 1.20.0-1.mga5
+ Revision: 668697
- update to 1.020

* Tue Jul 08 2014 sander85 <sander85> 1.19.0-1.mga5
+ Revision: 650647
- update to 1.019

* Tue May 20 2014 jquelin <jquelin> 1.18.0-1.mga5
+ Revision: 624410
- update to 1.018

* Sun Feb 09 2014 sander85 <sander85> 1.17.0-1.mga5
+ Revision: 587791
- update to 1.017

* Mon Oct 21 2013 umeabot <umeabot> 1.15.0-2.mga4
+ Revision: 540674
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 sander85 <sander85> 1.15.0-1.mga4
+ Revision: 494215
- update to 1.015

* Wed May 29 2013 tv <tv> 1.14.0-3.mga4
+ Revision: 432727
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 1.14.0-2.mga3
+ Revision: 371172
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.14.0-1.mga3
+ Revision: 342464
- update to 1.014

* Thu Feb 23 2012 jquelin <jquelin> 1.13.0-1.mga2
+ Revision: 213150
- update to 1.013

* Fri Dec 09 2011 kharec <kharec> 1.12.0-1.mga2
+ Revision: 179392
- update to 1.012
+ jquelin <jquelin>
- update to 1.010

* Tue Mar 29 2011 jquelin <jquelin> 1.9.0-1.mga1
+ Revision: 78740
- update to 1.009

* Tue Jan 25 2011 jquelin <jquelin> 1.8.0-2.mga1
+ Revision: 38415
- rename pp to pp.pl to avoid conflict

* Tue Jan 25 2011 jquelin <jquelin> 1.8.0-1.mga1
+ Revision: 38275
- imported package perl-PAR-Packer

